# $Id: libsqlora8.spec 27 2006-04-24 13:24:02Z matthias $

%define ic_version %(oracle-instantclient-config --version 2>/dev/null || echo 10.2.0.2)

Summary: Simple C-library to access Oracle databases via the OCI interface
Name: libsqlora8
Version: 2.3.3
Release: 1.el4
Group: System Environment/Libraries
License: GPL
URL: http://www.poitschke.de/libsqlora8/
Source: http://www.poitschke.de/libsqlora8/libsqlora8-%{version}.tar.gz
Patch0: libsqlora8-2.3.2-pkgconfig.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: oracle-instantclient-devel
BuildRequires: doxygen

%description
This is a simple C-library to access Oracle databases via the OCI interface.
Makes simple programming tasks much easier than with plain OCI.


%package devel
Summary: Development files for libsqlora8
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: oracle-instantclient-devel

%description devel
This is a simple C-library to access Oracle databases via the OCI interface.
Makes simple programming tasks much easier than with plain OCI.

This package contains the header files, the static library and the development
documentation.


%prep
%setup
%patch0 -p1 -b .pkgconfig


%build
export ORACLE_HOME="/usr/%{_lib}/oracle/%{ic_version}/client"
export CFLAGS="%{optflags} -I/usr/include/oracle/%{ic_version}/client"
export CXXFLAGS="%{optflags} -I/usr/include/oracle/%{ic_version}/client"
%configure \
%ifarch x86_64
    --enable-64bit \
%endif
    --with-oraversion="10.1" \
    --with-threads="posix"
%{__make}


%install
%{__rm} -rf %{buildroot} _docs
%makeinstall
# Get docs back into place
%{__mv} %{buildroot}%{_docdir}/packages/libsqlora8 _docs
# Hack to get an include file back into place
%{__mv} %{buildroot}%{_libdir}/libsqlora8/include/*.h \
    %{buildroot}%{_includedir}/
%{__rm} -rf %{buildroot}%{_libdir}/libsqlora8/


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc COPYING ChangeLog NEWS*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%doc _docs/*
%{_bindir}/*
%{_includedir}/*.h
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog
* Mon Apr 24 2006 Matthias Saou <http://freshrpms.net/> 2.3.3-1
- Update to 2.3.3.
- Switch ic_version define to using oracle-instantclient-config.
- Remove no longer required lib64 patch and use new --enable-64bit instead.
- Exclude static library from the devel package.

* Fri Nov 25 2005 Matthias Saou <http://freshrpms.net/> 2.3.2-6
- Rebuild against instantclient 10.2.0.1.

* Thu Aug 25 2005 Matthias Saou <http://freshrpms.net/> 2.3.2-5
- Fix client/lib for client/lib64 with libsqlora8-2.3.2-lib64.patch.
- Add %%{ic_version} to not hardcode instantclient version in the spec file.

* Mon Apr 11 2005 Matthias Saou <http://freshrpms.net/> 2.3.2-3
- Add patch to put pkgconfig entry in '$(libdir)' and not '$(prefix)/lib'.

* Fri Apr  8 2005 Matthias Saou <http://freshrpms.net/> 2.3.2-2
- Remove oracle-instantclient-wrapper dep since I'll now build some fixed
  oracle-instantclient packages directly (since there are no rpms for x86_64).

* Tue Mar  8 2005 Matthias Saou <http://freshrpms.net/> 2.3.2-1
- Update to 2.3.2.
- Now use oracle-instantclient to build against.
- Added oracle-instantclient-wrapper build dep to get proper ld.so.conf.

* Tue Jan  4 2005 Matthias Saou <http://freshrpms.net/> 2.3.1-1
- Update to 2.3.1.

* Mon Sep 27 2004 Matthias Saou <http://freshrpms.net/> 2.3.0-1
- Update to 2.3.0 final.

* Fri Jul 30 2004 Matthias Saou <http://freshrpms.net/> 2.3.0-0.pre14.1
- Update to 2.3.0pre14.
- Added libsqlora8-2.3.0pre14-status.patch to fix undefined status error.

* Tue Mar 16 2004 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.0pre10.

* Mon Aug 25 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.0pre9.
- Split a devel package.

* Thu Jul 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.2.8.

* Thu Jul 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.2.7.
- Added program-prefix to correct build problems.

* Wed Dec  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.1.13.
- Bumped Epoch since it was 1 in previous releases.
- Changed the release tag to include the Oracle version used.

* Thu Oct  4 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.1.12.

* Mon Jan 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.1.7

* Thu Dec 14 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Upgraded to 2.1.6

* Wed Nov 29 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release

